Subject: Re: Snap Rentals- Call Quality Report
From: Subhojit Hati <[email-masked]>
To: saurabh <[email-masked]>
Cc: Naveen Rawat <[email-masked]>, Vishal Nayyar <[email-masked]>, Ashish Kumar <[email-masked]>, Nizamuddin Khan <[email-masked]>, Phaedrus Arif <[email-masked]>, Subir Chakma <[email-masked]>, kaeiara blythe <[email-masked]>, Deeksha Dadu <[email-masked]>
Date: Sun, 19 Aug 2018 22:33:06 +0530 (IST)

Hi Sir, 

The daily audit sheet has a brief explanation on the area of opportunities. It gives a fair idea of how an agent could have handled that particular call differently. In case of major errors, I try to provide individual feedbacks. I can see positive improvement for now on overall G2G and have highlighted the major parameters where the team needs to work. I am hoping to see further improvement in the scores in upcoming weeks. 

Regards, 
Subhojit 

From: "saurabh" <[email-masked]> 
To: "Subhojit Hati" <[email-masked]>, "Naveen Rawat" <[email-masked]>, "Vishal Nayyar" <[email-masked]>, "Ashish Kumar" <[email-masked]>, "Nizamuddin Khan" <[email-masked]>, "Phaedrus Arif" <[email-masked]>, "Subir Chakma" <[email-masked]>, "kaeiara blythe" <[email-masked]> 
Cc: "Deeksha Dadu" <[email-masked]> 
Sent: Saturday, August 18, 2018 11:49:45 AM 
Subject: Re: Snap Rentals- Call Quality Report 

Thanks Shubo, 

What are we doing to fix this? 

Saurabh Dadu 
LiveSalesman 
India: +91 120 4332621 x 17 
US: 1 240 949 2437 
Cell: +91 9810175203 

From: Subhojit Hati <[email-masked]> 
Sent: 18 August 2018 07:10:20 
To: Naveen Rawat; Vishal Nayyar; Ashish Kumar; Nizamuddin Khan; Phaedrus Arif; Subir Chakma; kaeiara blythe 
Cc: Deeksha Dadu; Saurabh Dadu 
Subject: Snap Rentals- Call Quality Report 
Hi Team, 

Following is the team's G2G performance: 

G2G% G2G% 

MTD- Parameters Weekly- Parameters 

G2G% 

Weekly- Overall Call Score 

SWOT ANALYSIS 

STRENGTH 

    * 'Call opening' and 'summary/closing' scores are right on target 
    * 'Tone/Pace' scores also seems pretty good 
    * Significant Improvement in the following parameters: 
        * Summary Closing 
        * Apology 
        * Probing 
        * Acknowledgement 
    * Overall G2G% has a positive inclination 
WEAKNESSES 

    * 'Active Listening' score needs significant improvement 
    * Following parameters are still below target and needs improvement: 
        * Resolution 
        * Process Knowledge 
        * Empathy 
        * Probing 
        * Active Listening 

OPPORTUNITIES 

    * To implement the daily feedback on calls and improve on overall call quality 
    * To learn more about the process 
THREATS 

    * Customer dissatisfaction due to poor listening skills 
    * Incorrect resolution due to incorrect process knowledge 
    * Failure in probing is a hindrance to identify the exact root cause 
Feel free to contact me if you have any questions. 

Regards, 
Subhojit